Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TerrainPageSourceListenerManager Class Reference

Simple manager class to hold onto a list of page source listeners across all sources. More...

`#include <OgreTerrainPageSource.h>`

Inheritance diagram for Ogre::TerrainPageSourceListenerManager:

[legend]
List of all members.

## Public Methods

| TerrainPageSourceListenerManager ()
| ~TerrainPageSourceListenerManager ()
void | addListener (TerrainPageSourceListener *pl)
| Register a class which will be called back whenever a new page is available.
void | removeListener (TerrainPageSourceListener *pl)
| Unregister a class which will be called back whenever a new page is available.
void | firePageConstructed (size_t pagex, size_t pagez, Real *heightData)
| Fire pageContructed events.

## Static Public Methods

TerrainPageSourceListenerManager & | getSingleton (void)
| Override standard Singleton retrieval.
TerrainPageSourceListenerManager * | getSingletonPtr (void)
| Override standard Singleton retrieval.

## Protected Types

typedef std::vector< TerrainPageSourceListener * > | PageSourceListenerList

## Protected Attributes

PageSourceListenerList | mPageSourceListeners

## Static Protected Attributes

TerrainPageSourceListenerManager * | ms_Singleton = 0

## Detailed Description

Simple manager class to hold onto a list of page source listeners across all sources.

Definition at line 55 of file OgreTerrainPageSource.h.

## Member Typedef Documentation

typedef std::vector<TerrainPageSourceListener*> Ogre::TerrainPageSourceListenerManager::PageSourceListenerList`[protected]`

| Definition at line 59 of file OgreTerrainPageSource.h.

## Constructor & Destructor Documentation

Ogre::TerrainPageSourceListenerManager::TerrainPageSourceListenerManager | ( |  | ) |

| Definition at line 62 of file OgreTerrainPageSource.h.

Ogre::TerrainPageSourceListenerManager::~TerrainPageSourceListenerManager | ( |  | ) |

| Definition at line 63 of file OgreTerrainPageSource.h.

## Member Function Documentation

void Ogre::TerrainPageSourceListenerManager::addListener | ( | TerrainPageSourceListener * | pl | ) |

Register a class which will be called back whenever a new page is available.

Remarks:
  Since this method is static, it applies to any page source which is in active use; there is no need to register one per source.

Definition at line 44 of file OgreTerrainPageSource.cpp.

References mPageSourceListeners.

Referenced by Ogre::TerrainPageSource::addListener().

void Ogre::TerrainPageSourceListenerManager::firePageConstructed | ( | size_t | pagex,
|  | size_t | pagez,
|  | Real * | heightData
| ) |

| Fire pageContructed events. Definition at line 63 of file OgreTerrainPageSource.cpp. References mPageSourceListeners, and Ogre::Real. Referenced by Ogre::TerrainPageSource::firePageConstructed().

TerrainPageSourceListenerManager & Ogre::TerrainPageSourceListenerManager::getSingleton | ( | void |  | ) | `[static]`

| Override standard Singleton retrieval. Reimplemented from Ogre::Singleton< TerrainPageSourceListenerManager >. Definition at line 39 of file OgreTerrainPageSource.cpp. References Ogre::Singleton< TerrainPageSourceListenerManager >::ms_Singleton.

TerrainPageSourceListenerManager * Ogre::TerrainPageSourceListenerManager::getSingletonPtr | ( | void |  | ) | `[static]`

| Override standard Singleton retrieval. Reimplemented from Ogre::Singleton< TerrainPageSourceListenerManager >. Definition at line 35 of file OgreTerrainPageSource.cpp. References Ogre::Singleton< TerrainPageSourceListenerManager >::ms_Singleton.

void Ogre::TerrainPageSourceListenerManager::removeListener | ( | TerrainPageSourceListener * | pl | ) |

| Unregister a class which will be called back whenever a new page is available. Definition at line 49 of file OgreTerrainPageSource.cpp. References mPageSourceListeners. Referenced by Ogre::TerrainPageSource::removeListener().

## Member Data Documentation

PageSourceListenerList Ogre::TerrainPageSourceListenerManager::mPageSourceListeners`[protected]`

| Definition at line 60 of file OgreTerrainPageSource.h. Referenced by addListener(), firePageConstructed(), and removeListener().

TerrainPageSourceListenerManager * Ogre::Singleton< TerrainPageSourceListenerManager >::ms_Singleton = 0`[static, protected, inherited]`

| Definition at line 34 of file OgreTerrainPageSource.cpp. Referenced by getSingleton(), and getSingletonPtr().

The documentation for this class was generated from the following files:

- OgreTerrainPageSource.h
- OgreTerrainPageSource.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:03 2004